//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DE55FE600CE.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DE55FE600CE.cm

//## begin module%3DE55FE600CE.cp preserve=no
//## end module%3DE55FE600CE.cp

//## Module: PlotInsensitivity%3DE55FE600CE; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotInsensitivity.h

#ifndef PLOTINSENSITIVITY_H
#define PLOTINSENSITIVITY_H 1

//## begin module%3DE55FE600CE.additionalIncludes preserve=no
//## end module%3DE55FE600CE.additionalIncludes

//## begin module%3DE55FE600CE.includes preserve=yes
//## end module%3DE55FE600CE.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DE55FE600CE.declarations preserve=no
//## end module%3DE55FE600CE.declarations

//## begin module%3DE55FE600CE.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3DE55FE600CE.additionalDeclarations


//## begin PlotInsensitivity%3DE55E4802F9.preface preserve=yes
//## end PlotInsensitivity%3DE55E4802F9.preface

//## Class: PlotInsensitivity%3DE55E4802F9
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotInsensitivity : public PlotCommand  //## Inherits: <unnamed>%4B44AA1C0357
{
  //## begin PlotInsensitivity%3DE55E4802F9.initialDeclarations preserve=yes
  //## end PlotInsensitivity%3DE55E4802F9.initialDeclarations

  public:
    //## Constructors (generated)
      PlotInsensitivity();

    //## Destructor (generated)
      virtual ~PlotInsensitivity();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B44AAE50088
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

      //## Operation: requestNewXoption%4B44AAEA020E
      virtual bool requestNewXoption (const PlotSettings& settings, XaxisMode& newOption) const;

    // Additional Public Declarations
      //## begin PlotInsensitivity%3DE55E4802F9.public preserve=yes
      //## end PlotInsensitivity%3DE55E4802F9.public

  protected:
    // Additional Protected Declarations
      //## begin PlotInsensitivity%3DE55E4802F9.protected preserve=yes
      //## end PlotInsensitivity%3DE55E4802F9.protected

  private:
    //## Constructors (generated)
      PlotInsensitivity(const PlotInsensitivity &right);

    //## Assignment Operation (generated)
      PlotInsensitivity & operator=(const PlotInsensitivity &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B44AAD2014D
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B44AAD60148
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotInsensitivity%3DE55E4802F9.private preserve=yes
      //## end PlotInsensitivity%3DE55E4802F9.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotInsensitivity%3DE55E4802F9.implementation preserve=yes
      //## end PlotInsensitivity%3DE55E4802F9.implementation

};

//## begin PlotInsensitivity%3DE55E4802F9.postscript preserve=yes
//## end PlotInsensitivity%3DE55E4802F9.postscript

// Class PlotInsensitivity 

//## begin module%3DE55FE600CE.epilog preserve=yes
//## end module%3DE55FE600CE.epilog


#endif
